<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('cmms_demos', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('car_name')->nullable();
            $table->tinyInteger('car_group')->nullable();
            $table->string('car_group_fa')->nullable();
            $table->tinyInteger('car_type')->nullable();
            $table->string('car_type_fa')->nullable();
            $table->string('machine_code')->nullable();
            $table->string('estate_no')->nullable();
            $table->string('build_date')->nullable();
            $table->string('car_color')->nullable();
            $table->string('plak_number')->nullable();
            $table->string('plak_number_right')->nullable();
            $table->string('plak_number_left')->nullable();
            $table->string('plak_number_center')->nullable();
            $table->string('plak_number_char')->nullable();
            $table->string('body_number')->nullable();
            $table->string('dam_number')->nullable();
            $table->string('motor_number')->nullable();
            $table->string('vin_number')->nullable();
            $table->tinyInteger('section')->nullable();
            $table->string('section_fa')->nullable();
            $table->string('gps_code')->nullable();
            $table->string('driver_name')->nullable();
            $table->string('last_work_value')->nullable();
            $table->string('unit_name')->nullable();
            $table->string('status_fa')->nullable();
            $table->tinyInteger('status')->nullable();
            $table->string('repair_hourly_price')->nullable();
            $table->tinyInteger('unit_group')->nullable();
            $table->string('unit_group_fa')->nullable();
            $table->string('res1')->nullable();
            $table->string('mobile')->nullable();
            $table->tinyInteger('category')->nullable();
            $table->string('category_fa')->nullable();
            $table->timestamps();
            $table->boolean('proccessed')->nullable()->default(false);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('cmms_demos');
    }
};
